Redmine Periodic Task and Luxury Buttons plugins incompatibility

Added by N G 5 months ago

Hello. I found a problem with Redmine Periodic Task plugin and Luxury Buttons. When I'm trying to create a task by Periodic Task script the task is not created. I think error in the following code(source code line from Periodic Task plugin ):

irb(main):002:0> issue = Issue.new(:project_id=>122, :tracker_id=>5, :category_id=>nil, :assigned_to_id=>6, :author_id=>19, :subject=>"ttt", :description=>"ttt"); irb(main):003:0* issue.save!
ActiveRecord::RecordInvalid: Validation failed: You couldn`t save issues with this tracker
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/validations.rb:79:in `raise_record_invalid'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/validations.rb:43:in `save!'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/attribute_methods/dirty.rb:29:in `save!'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/transactions.rb:291:in `block in save!'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/transactions.rb:351:in `block in with_transaction_returning_status'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstract/database_statements.rb:213:in `block in transaction'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstract/transaction.rb:184:in `within_new_transaction'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstract/database_statements.rb:213:in `transaction'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/transactions.rb:220:in `transaction'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/transactions.rb:348:in `with_transaction_returning_status'
from /usr/local/bundle/gems/activerecord-4.2.6/lib/active_record/transactions.rb:291:in `save!'
from (irb):3
from /usr/local/bundle/gems/railties-4.2.6/lib/rails/commands/console.rb:110:in `start'
from /usr/local/bundle/gems/railties-4.2.6/lib/rails/commands/console.rb:9:in `start'
from /usr/local/bundle/gems/railties-4.2.6/lib/rails/commands/commands_tasks.rb:68:in `console'
from /usr/local/bundle/gems/railties-4.2.6/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
from /usr/local/bundle/gems/railties-4.2.6/lib/rails/commands.rb:17:in `<top (required)>'
from bin/rails:4:in `require'
from bin/rails:4:in `<main>'

How can I solve the problem?